Package python-cinderclient

This package is released with dual support for Python 2 and Python 3. To move things forward, you can start making dependent packages use the Python 3 version.


See python-cinderclient in the Fedora Pagure, or go directly to the corresponding spec file.

Fedora

A package that supports Python 3 is in Rawhide.

RPMs
  • python2-cinderclient-3.1.0-3.fc29
    • × /usr/bin/python2
    • × python(abi) = 2.7
  • python3-cinderclient-3.1.0-3.fc29
    • /usr/bin/python3
    • python(abi) = 3.6
Links

Dependent packages

Run time

Build time

Dependency Tree

Run time

Build time

Project Size

~14.9K total lines of code
~14.6K (98%) Python
(approximation as of 1.4.0-1.fc23)

Groups

Dependencies

Run time

1 Python 3 only; 10 Dual support; 1 Dropped
Package Upstream Fedora
  babel  
  python-keystoneauth1  
  python-oslo-i18n  
  python-oslo-utils (nonblocking)   bug (CLOSED RAWHIDE)
  python-pbr   bug (CLOSED RAWHIDE)
  python-prettytable  
  python-requests  
  python-setuptools  
  python-simplejson  
  python-six   bug (CLOSED CURRENTRELEASE)
  python3   bug (NEW)
  python2   X

Build time

1 Python 3 only; 6 Dual support; 1 Idle; 1 Dropped
Package Upstream Fedora
  git (nonblocking)   I
  python-d2to1  
  python-openstackdocstheme  
  python-pbr   bug (CLOSED RAWHIDE)
  python-reno  
  python-setuptools  
  python-sphinx  
  python3   bug (NEW)
  python2   X